﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinTabControl;

namespace UltraTabControlContextMenu
{
    public partial class Form1 : Form
    {

        private ContextMenu menu;
        public Form1()
        {
            InitializeComponent();

            menu = new ContextMenu();
            menu.MenuItems.Add("Close");
            menu.MenuItems.Add("Close All");
            menu.MenuItems.Add("Close All but this");

            menu.MenuItems[0].Click += new EventHandler(Form1_Click_Close);
            menu.MenuItems[0].ShowShortcut = true;
            menu.MenuItems[0].Shortcut = Shortcut.AltF4;

            menu.MenuItems[1].Click += new EventHandler(Form1_Click_Close_All);
            menu.MenuItems[1].ShowShortcut = true;
            menu.MenuItems[1].Shortcut = Shortcut.CtrlA;


            menu.MenuItems[2].Click += new EventHandler(Form1_Click_Close_But);
            menu.MenuItems[2].ShowShortcut = true;
            menu.MenuItems[2].Shortcut = Shortcut.CtrlB;

            ultraTabControl1.ContextMenu = menu;
        }

        void Form1_Click_Close_But(object sender, EventArgs e)
        {
            foreach (UltraTab tab in ultraTabControl1.Tabs)
            {
                if (ultraTabControl1.ActiveTab != tab) 
                    tab.Close();
            }
        }

        void Form1_Click_Close_All(object sender, EventArgs e)
        {
            foreach (UltraTab  tab in ultraTabControl1.Tabs)
            {
                tab.Close();
            }
        }

        void Form1_Click_Close(object sender, EventArgs e)
        {
            ultraTabControl1.ActiveTab.Close();
        }
    }
}
